import { Layout } from "antd"
import Header from "./Header"
import SiderNav from "./SiderNav"
import Main from "./Main"
import { observer } from "@/stores/utils"
import { isApp, isMobile } from "@/utils/tools"
import "./index.scss"

const Chat = () => {
  return (
    <Layout
      className={`chat_wrap ${
        isApp || isMobile() ? "page_height" : "client_height"
      }`}
    >
      {isApp || isMobile() ? <Header /> : <SiderNav />}
      <Main />
    </Layout>
  )
}
export default observer(Chat)
